
D4Science Infrastructure - VM Creation #7465

Please Create a VM to install SmartExecutor for SmartArea

Mar 10, 2017 10:42 AM - Luca Frosini

Status: Closed Start date: Mar 10, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Resource Provisioning   

Infrastructure: Development Applications list and

version:

It will be installed manually at first access

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 5 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

 

Smartgears Version: Get from parent ansible PostgreSQL

database:

 

Application

Instructions:

On Smart Executor it will be installed a

plugin provided by Loredana Versienti

Number of VMs: 1

Smartgears scopes: /gcube

/gcube/devsec

/gcube/devsec/devVRE

/gcube/preprod

/gcube/preprod/preVRE

/gcube/devNext  

/gcube/devNext/NextNext

  

Description

I need a SmartExecutor installation in SmartArea context.

On such a Smart Executor I have to install a plugin for Meteo Data harvesting.

For the moment I'll take care of installing the plugin in the container, but we'll to find a solution to publish it to be provisioned later on.

History

#1 - Mar 21, 2017 06:01 PM - Luca Frosini

- Priority changed from Normal to High

#2 - Mar 21, 2017 07:29 PM - Andrea Dell'Amico

Can you write down the VM required resources and the scopes lists?

#3 - Apr 05, 2017 02:45 PM - Luca Frosini

- Tracker changed from Task to VM Creation

- Priority changed from High to Urgent

- RAM set to 1

- CPU set to 1

- DiskSpace set to 5

- Smartgears set to Yes

- Smartgears Version set to Get from parent ansible

- Application Instructions updated

- Applications list and version updated

- Infrastructure Development added
- Infrastructure deleted (Production)

@roberto.cirillo@isti.cnr.it can you please fill the scopes of the mongo db for SmartArea

#4 - Apr 05, 2017 02:45 PM - Luca Frosini

- RAM changed from 1 to 2

- CPU changed from 1 to 2

#6 - Apr 05, 2017 03:46 PM - Roberto Cirillo

the resource scope are the following:

/gcube

/gcube/devNext        

/gcube/devsec

 we can add other scopes if needed

#7 - Apr 11, 2017 06:52 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Smartgears scopes updated

#8 - Apr 11, 2017 06:53 PM - Andrea Dell'Amico

meteo-data-d-d4s.d4science.org 146.48.123.97

#9 - Apr 11, 2017 07:25 PM - Andrea Dell'Amico

The VM has been installed. But using the smartgears version that was defined for use in the dev environment, the smartgears apps fail to start with

the following error:

Caused by: java.lang.IllegalStateException: unknown property ghn-profile

        at org.gcube.smartgears.context.Properties.lookup(Properties.java:102) ~[common-smartgears-2.2.0-SNAPS

HOT.jar:na]

        at org.gcube.smartgears.context.container.DefaultContainerContext.profile(DefaultContainerContext.java

:44) ~[common-smartgears-2.2.0-SNAPSHOT.jar:na]

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileBuilder.fill(ProfileBuilder.java:33) ~[c

ommon-smartgears-2.2.0-SNAPSHOT.jar:na]

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.create(ProfileManager.java:231) 

~[common-smartgears-2.2.0-SNAPSHOT.jar:na]

 The playbook reports this data for the dev environment:

gcube_repository: 'gcube-snapshots'

smartgears_distribution_version: 2.1.2-SNAPSHOT

smartgears_file: 'smartgears-distribution-2.1.2-20170406.102340-1.tar.gz'

 @lucio.lelii@isti.cnr.it @roberto.cirillo@isti.cnr.it any clues? Do we need the stable smartgears version?

#10 - Apr 11, 2017 07:34 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

#11 - Apr 12, 2017 03:28 PM - Andrea Dell'Amico

- % Done changed from 90 to 100

The culprit was the script that gets the token. I did fix the container.xml generation but not the get-scopes script. Now it's OK.

#12 - Apr 19, 2017 07:40 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

#13 - Jul 13, 2017 03:34 PM - Loredana Versienti

- Smartgears scopes updated

- Number of VMs set to 1
Sorry @andrea.dellamico@isti.cnr.it

Luca forgot to add /gcube/devNext/NextNext and /gcube/devsec/devVRE to the scope list.

Can you please add them?

#14 - Jul 13, 2017 03:50 PM - Loredana Versienti

- Copied to VM Creation #9269: Please Create a VM in production for SmartMeteo added

#15 - Jul 13, 2017 03:58 PM - Luca Frosini

- Copied to deleted (VM Creation #9269: Please Create a VM in production for SmartMeteo)

#16 - Jul 14, 2017 09:52 AM - Luca Frosini

- Smartgears scopes updated

#17 - Jul 14, 2017 09:54 AM - Luca Frosini

- Smartgears scopes updated

#18 - Jul 17, 2017 02:51 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

Please reopen the tickets when an action is needed.

#19 - Jul 17, 2017 02:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Can you verify that the new scopes are present?

#20 - Jul 17, 2017 03:32 PM - Andrea Dell'Amico

Also added the preprod key.

#21 - Sep 02, 2017 02:08 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
